Package org.eclipse.emf.cdo.server

## Interface IStoreAccessor.Raw2

- All Superinterfaces:
    `InternalCDOBranchManager.BranchLoader`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `IQueryHandlerProvider`, `IStoreAccessor`, `IStoreAccessor.Raw`
  All Known Subinterfaces:
    `IDBStoreAccessor`
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.Raw2
      extends IStoreAccessor.Raw

  An extension interface for `store accessors` that support raw data access as needed by `repository synchronizers` or `server importers`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `rawStore​(CDOBranch branch, long timeStamp, long previousTimeStamp, java.lang.String userID, java.lang.String comment, CDOBranchPoint mergeSource, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` | Stores the given `commit` in the backend represented by this `raw store accessor` without going through a regular `commit`.

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, createChunkReader, getSession, getStore, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.Raw

      `rawCommit, rawDelete, rawExport, rawImport, rawStore, rawStore, rawStore, rawStore, rawStore`

- - ### Method Detail

    - #### rawStore

          void rawStore​(CDOBranch branch,
                        long timeStamp,
                        long previousTimeStamp,
                        java.lang.String userID,
                        java.lang.String comment,
                        CDOBranchPoint mergeSource,
                        org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

      Stores the given `commit` in the backend represented by this `raw store accessor` without going through a regular `commit`.

      Implementation note: The implementor of this method may rely on the fact that multiple subsequent calls to this method are followed by a single final call to the `rawCommit()` method where the accumulated backend changes can be committed atomically.

      Parameters:
        `branch` - the `branch` of the commit info to be stored in the backend represented by this `raw store accessor`.
        `timeStamp` - the `time stamp` of the commit info to be stored in the backend represented by this `raw store accessor`.
        `previousTimeStamp` - the `previous time stamp` of the commit info to be stored in the backend represented by this `raw store accessor`.
        `userID` - the `user ID` of the commit info to be stored in the backend represented by this `raw store accessor`.
        `comment` - the `comment` of the commit info to be stored in the backend represented by this `raw store accessor`.
        `mergeSource` - the `merge source` of the commit info to be stored in the backend represented by this `raw store accessor`.
      See Also:
        `IStoreAccessor.Raw.rawCommit(double, OMMonitor)`